Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 2862353002: Upstream service worker `fetch` tests to WPT (Closed)

Created:
1 year, 11 months ago by mike3
Modified:
1 year, 11 months ago
CC:
blink-reviews, blink-reviews-w3ctests_chromium.org, chromium-reviews, falken+watch_chromium.org, horo+watch_chromium.org, jsbell+serviceworker_chromium.org, kenjibaheux+watch_chromium.org, kinuko+serviceworker, michaeln, nhiroki, serviceworker-reviews, shimazu+serviceworker_chromium.org, tzik
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Upstream service worker `fetch` tests to WPT **fetch-request-css-base-url** The Chromium-specific version of this test is almost identical to the version provided by the Web Platform Test suite. The upstream version differs only in its use of Promises for control flow. However, the upstream version also suffers from timeout issues in the build environment. Rename the Chromium-specific version to reflect its deprecated status, and re-enable the upstream version as an expected timeout. **fetch-request-xhr** Update the upstream version to improve failure reporting and to include novel tests from the Chromium version for HTTP header values (modified to comply with the Fetch specification). Update the Chromium-specific version to document its deprecated status and invalid assertions. Update both versions to improve state management via `Test#add_cleanup`. **fetch-response-xhr** Update the upstream version to avoid a race condition. Update the Chromium-specific version to document its deprecated status. Update both versions to improve state management via `Test#add_cleanup`. BUG=688116, 595993, 658997 R=mek@chromium.org Review-Url: https://codereview.chromium.org/2862353002 Cr-Commit-Position: refs/heads/master@{#470395} Committed: https://chromium.googlesource.com/chromium/src/+/6a3e413c07f490356a2a9b5cf623954ed9d35827

Patch Set 1 #

Total comments: 9

Patch Set 2 : Incorporate review feedback #

Patch Set 3 : Rebase and resolve conflict in 'expectations' file #

Unified diffs Side-by-side diffs Delta from patch set Stats (+150 lines, -131 lines) Patch
M third_party/WebKit/LayoutTests/FlagExpectations/enable-blink-features=LayoutNG View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html View 1 2 chunks +6 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-response-xhr.https.html View 1 3 chunks +12 lines, -6 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/resources/fetch-request-xhr-iframe.https.html View 4 chunks +77 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/resources/fetch-response-xhr-iframe.https.html View 1 chunk +19 lines, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/serviceworker/chromium.fetch-request-css-base-url.html View 1 chunk +5 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/serviceworker/chromium.fetch-request-xhr.html View 2 chunks +11 lines, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/serviceworker/chromium.fetch-response-xhr.html View 2 chunks +10 lines, -2 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/serviceworker/fetch-request-css-base-url.html View 1 chunk +0 lines, -51 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/serviceworker/fetch-request-xhr.html View 1 chunk +0 lines, -30 lines 0 comments Download
D third_party/WebKit/LayoutTests/http/tests/serviceworker/fetch-response-xhr.html View 1 chunk +0 lines, -30 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/serviceworker/resources/fetch-request-xhr-iframe.html View 4 chunks +6 lines, -2 lines 0 comments Download

Messages

Total messages: 15 (6 generated)
mike3
Hi Mek. I think this is the last of the `fetch` tests.
1 year, 11 months ago (2017-05-05 19:38:03 UTC) #1
Marijn Kruisselbrink
https://codereview.chromium.org/2862353002/diff/1/third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html File third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html (right): https://codereview.chromium.org/2862353002/diff/1/third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html#newcode6 third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html:6: <script src="resources/test-helpers.sub.js?pipe=sub"></script> nit: no need for pipe=sub https://codereview.chromium.org/2862353002/diff/1/third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html#newcode20 third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html:20: ...
1 year, 11 months ago (2017-05-05 23:59:00 UTC) #2
mike3
Thanks, Mek. This one's ready for another look. https://codereview.chromium.org/2862353002/diff/1/third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html File third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html (right): https://codereview.chromium.org/2862353002/diff/1/third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html#newcode6 third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html:6: <script ...
1 year, 11 months ago (2017-05-08 18:41:41 UTC) #3
Marijn Kruisselbrink
lgtm https://codereview.chromium.org/2862353002/diff/1/third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html File third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html (right): https://codereview.chromium.org/2862353002/diff/1/third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html#newcode20 third_party/WebKit/LayoutTests/external/wpt/service-workers/service-worker/fetch-request-xhr.https.html:20: channel.port1.onmessage = t.step_func(function(e) { On 2017/05/08 at 18:41:40, ...
1 year, 11 months ago (2017-05-08 19:05:13 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2862353002/20001
1 year, 11 months ago (2017-05-08 21:05:57 UTC) #6
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/264137) android_compile_dbg on master.tryserver.chromium.android (JOB_FAILED, ...
1 year, 11 months ago (2017-05-08 21:12:35 UTC) #8
mike3
This latest failure seems to be due to another conflict in the `enable-blink-features=LayoutNG` file. I've ...
1 year, 11 months ago (2017-05-09 16:35:56 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2862353002/40001
1 year, 11 months ago (2017-05-09 16:36:47 UTC) #12
commit-bot: I haz the power
1 year, 11 months ago (2017-05-09 18:52:18 UTC) #15
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/6a3e413c07f490356a2a9b5cf623...

Powered by Google App Engine
This is Rietveld 408576698